*{
    margin: 0;
    padding: 0; 
    font-family: 'DM Sans', sans-serif;
}

:root{
    --navbar:#02021fab;
    --primary-color: #02021F;
    --secondary-color: #FBF7FF;
    --tertiary-color: #0D0C4F;
    --accent: #A796F2;
    --accent2: #6E6AEE;
    font-size: 1.25vw;
}

@media only screen and (max-width: 1024px){
    :root{
        font-size: 4vw;
    }
}
.light-theme{
    --navbar: #fbf7ffb7;
    --primary-color: #FBF7FF;
    --secondary-color: #02021F;
    --tertiary-color: #E5D7FA;
    --accent: #6E6AEE;
    --accent2: #A796F2;
}

body{
    background-color: var(--primary-color);
    color: var(--secondary-color);
    position: relative;
    height: 100vh;
    transition: 1s;
    overflow-x: hidden;
}

h1{
    color: var(--accent);
    font-weight: 600;
    font-size: 3rem;
}
a{color:var(--accent)}

.sub{
    font-weight: 200;
}

.col{
    color: var(--accent);
}

@media only screen and (max-width: 1024px) {
    h1{
        font-size: 2rem;
    }
}

/* Navbar Styling */
#navbar{
    width: 100%;
    max-height: 4rem;
    margin: auto;
    padding: 0.5rem 2rem 0.5rem 0;
    display: flex; 
    align-items: center;
    justify-content: space-between;
    background-color: var(--navbar);
    position: fixed;
    top: 0;
    z-index: 9;
    overflow-x:hidden;
    overflow-y: auto;
}

#navbar a{
    color: var(--secondary-color);
    cursor: pointer;
    text-decoration: none;
}

#navbar a:hover{
    color: var(--accent);
}

#logo{
    margin-left: 0.3rem;
    vertical-align: bottom;
    width: 8rem;
    transition: 1s;
    filter: invert(0%) sepia(2%) saturate(18%) hue-rotate(273deg) brightness(96%) contrast(100%);
    opacity: 0;
    animation: slideRight 1s ease forwards;
}

#navbar ul{
    flex: 1;
    text-align: right;
}

#navbar ul li{
    opacity: 0;
    display: inline-block;
    animation: drop .5s ease forwards;
    animation-delay: calc(0.2s * var(--i));
}

#navbar ul li a{
    padding: 1rem;
}

#icon{
    color: var(--secondary-color);
    font-size: 1.4rem;
    transition: 3s;
    cursor: pointer;
    margin-left: 1rem;
    margin-right: 2rem;
    opacity: 0;
    animation: slideLeft 1s ease forwards;
}

@media only screen and (max-width: 1024px) {
    #navbar{
        padding-top:0.3rem;
        flex-wrap: wrap;
        align-content: flex-start;
        height: auto;
        max-height:4rem;
        font-size: 1rem;
    }
    #navbar ul{
        order:3;
        text-align: center;
        flex-basis: 100%;
        margin-bottom: 1%;
    }
    #navbar ul li a{
        padding: 0.2rem;
    }
    #icon{
        margin-right: 1rem;
    }
}

canvas{
    opacity:0;
    animation: appear 5s ease-in forwards;
}

/* Page sections*/
section{
    position: relative;
    max-width: 100%;
    padding: 10% 12%; 
    transition: none;  
}

.circle {
    color: var(--accent);
    width: 4rem;
    height: 4rem;
    border-radius: 50%;
    bottom: -2rem;
    background-color: var(--primary-color);
    position: absolute;
    margin: 0 auto;
    left: 0;
    right: 0;
    text-align: center;
    font-size: 2rem;
    line-height: 4rem;
    z-index: 2;
}
.alternate{
    background-color : var(--tertiary-color);
}

#home {
    display: flex;
    justify-content: space-between;
    align-items: flex-start; 
    flex-wrap: wrap;
}

#home .content {
    width: 50%;
    padding-right: 3%;
    box-sizing: border-box; 
    animation: slideRight 1s ease forwards;
}

#profile-container {
    margin-top: 2rem; 
    margin-bottom: 2rem;
    height: 50vh;
    width: 50vh 
}

#home img {
    border-radius: 15%;
    max-width: 100%;
    height: 100%; 
    display: block;
    margin: auto;
    opacity: 0;
    animation: slideLeft 1s ease forwards;
}

#home a {
    color: var(--secondary-color);
    padding: 0 2%;
}

#home i:hover {
    color: var(--accent);
}

#socials {
    margin-top: 3%;
    width: 100%;
    font-size: 1.5rem;
    display: flex;
    justify-content: center;
    align-items: center;
}

#local{
    margin-top: 3%;
    display: inline-block;
    padding: 1rem 2rem;
    background: var(--accent2);
    color: var(--primary-color);
    font-weight: 600;
    text-decoration: none;
    border-radius: 4rem;
}

/* Media query for laptop screens */
@media only screen and (max-width: 1024px) {
    #home .content {
        width: 100%;
        padding-right: 0;
    }
    #profile-container {
        width: 100%;
        margin-top: 2rem;
        margin-bottom: 2rem;
        height: auto; /* Reset height to auto for smaller screens */
    }
}

@keyframes slideRight {
    0%{
        transform: translateX(-10rem);
        opacity: 0;
    }
    100%{
        transform: translateX(0);
        opacity: 1;
    }
}

@keyframes slideLeft {
    0%{
        transform: translateX(10rem);
        opacity: 0;
    }
    100%{
        transform: translateX(0);
        opacity: 1;
    }
}

@keyframes drop {
    0%{
        transform: translateY(-10rem);
        opacity: 0;
    }
    100%{
        transform: translateY(0);
        opacity: 1;
    }
}

@keyframes appear {
    0%{
        opacity: 0;
    }
    100%{
        opacity: 1;
    }
}

